Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQMotifWidget Class Reference

The TQMotifWidget class provides the TQWidget API for Xt/Motif widgets. More...

This class is part of the TQt Motif Extension.

`#include <qmotifwidget.h>`

Inherits TQWidget.

List of all member functions.

## Public Members

- TQMotifWidget ( TQWidget * parent, WidgetClass widgetclass, ArgList args = NULL, Cardinal argcount = 0, const char * name = 0, WFlags flags = 0 )
- virtual ~TQMotifWidget ()
- Widget motifWidget () const

## Protected Members

- virtual bool x11Event ( XEvent * event )

## Detailed Description

This class is defined in the TQt Motif Extension, which can be found in the `qt/extensions` directory. It is not included in the main TQt API.

The TQMotifWidget class provides the TQWidget API for Xt/Motif widgets.

TQMotifWidget exists to provide a TQWidget that can act as a parent for any Xt/Motif widget. Since the TQMotifWidget is a proper TQWidget, it can be used as a top-level widget (e.g. 0 parent) or as a child of any other TQWidget. Note: Since TQMotifWidget acts as a parent for Xt/Motif widgets, you should not create TQWidgets with a TQMotifWidget parent.

An Xt/Motif widget with a top-level TQMotifWidget parent can begin using the standard TQt dialogs and custom TQDialogs while keeping the main Xt/Motif interface of the application. Using a TQMotifWidget as the parent for the various TQDialogs will ensure that modality and stacking works properly throughout the entire application.

Applications moving to TQt may have custom Xt/Motif widgets that will take time to rewrite with TQt. Such applications can use these custom widgets as TQMotifWidget with TQWidget parents. This allows the application's interface to be replaced gradually.

Warning: TQMotifWidget uses the X11 window ID of the Motif widget directly, instead of creating its own. Because ot this, TQWidget::reparent() will not work. This includes the functions TQWidget::showFullScreen() and TQWidget::showNormal(), which use TQWidget::reparent().

## Member Function Documentation

### TQMotifWidget::TQMotifWidget ( TQWidget * parent, WidgetClass widgetclass, ArgList args = NULL, Cardinal argcount = 0, const char * name = 0, WFlags flags = 0 )

Creates a TQMotifWidget of the given widgetclass as a child of parent, with the name name and widget flags flags.

The args and argcount arguments are passed on to XtCreateWidget.

The motifWidget() function returns the resulting Xt/Motif widget. This widget can be used as a parent for any other Xt/Motif widget.

If parent is a TQMotifWidget, the Xt/Motif widget is created as a child of the parent's motifWidget(). If \ parent is 0 or a normal TQWidget, the Xt/Motif widget is created as a child of a special TopLevelShell widget. Xt/Motif widgets can use this special TopLevelShell parent as the parent for existing Xt/Motif dialogs or TQMotifDialogs.

### TQMotifWidget::~TQMotifWidget ()`[virtual]`

Destroys the TQMotifWidget. The special TopLevelShell is also destroyed, if it was created during construction.

### Widget TQMotifWidget::motifWidget () const

Returns the embedded Xt/Motif widget. If a Shell widget was created by the constructor, you can access it with XtParent().

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.